## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-cart
Version:        1.2.3
Release:        %autorelease
Summary:        Compressed and RC4 Transport for Python

License:        MIT
URL:            https://github.com/CybercentreCanada/cart
Source:         https://github.com/CybercentreCanada/cart/archive/v%{version}/cart-%{version}.tar.gz
Patch1:         python-cart-1.2.2-cryptodomex.patch

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
This package provides Python support for CaRT (Compressed and RC4
Transport). The CaRT file format is used to store/transfer malware
and its associated metadata. It neuters the malware so it cannot be
executed and encrypts it so anti-virus software cannot flag the CaRT
file as malware.}

%description %_description

%package -n     python3-cart
Summary:        %{summary}

%description -n python3-cart %_description


%prep
%autosetup -p1 -n cart-%{version}
sed -i '/#!\/usr\/bin\/env python/d' cart/cart.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l cart


%check
%pyproject_check_import
%{py3_test_envvars} %{python3} -m unittest


%files -n python3-cart -f %{pyproject_files}
%{_bindir}/cart


%changelog
## START: Generated by rpmautospec
* Tue Apr 22 2025 W. Michael Petullo <mike@flyn.org> - 1.2.3-2
- Adjust shebang

* Tue Apr 22 2025 W. Michael Petullo <mike@flyn.org> - 1.2.3-1
- Initial import (fedora#2335261)
## END: Generated by rpmautospec
